## org.biojava.bio.program.das
Class DASSequenceDBProvider

    java.lang.Object
      org.biojava.bio.program.das.DASSequenceDBProvider

All Implemented Interfaces:
  SequenceDBProvider

    public class DASSequenceDBProvider

extends Object
implements SequenceDBProvider

Hook DAS into the OBDA directory system. Not for end users.

Since:
  1.3
Author:
  Thomas Down

Constructor Summary
`DASSequenceDBProvider()`

Method Summary
`String` `getName()` The name of this provider.
`SequenceDBLite` `getSequenceDB(Map config)` Get a sequence database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASSequenceDBProvider

    public DASSequenceDBProvider()

Method Detail

### getName

    public String getName()

  Description copied from interface: `SequenceDBProvider`
  The name of this provider.

  Specified by:
    `getName` in interface `SequenceDBProvider`
  Returns:
    the provider's name.

### getSequenceDB

    public SequenceDBLite getSequenceDB(Map config)
                                 throws RegistryException,
                                        BioException

  Description copied from interface: `SequenceDBProvider`
  Get a sequence database.

  Specified by:
    `getSequenceDB` in interface `SequenceDBProvider`
  Parameters:
    `config` - a Map containing key-value pairs identifying the database to resolve.
  Returns:
    a SequenceDBLite that was resolved.
  Throws:
    `RegistryException`
    `BioException`